package groovy.xsa.ui;

def onStartDaemon(){
	logger.INFO { "ENTRY!" }
	def compressionFiles = config.xsa.compression[]
	compressionFiles.each(){
		compress (it.key, it.value);
	}
}

def compress(destinationFile, filesToCompress){
	logger.INFO { "destinationFile: ${destinationFile} filesToCompress: ${filesToCompress}" }
	
	def destinationFileFullPath = new File("${zget('/config/dependencies/ibm:rainmaker.ui')}/public" + destinationFile);
	destinationFileFullPath.setText('');
	filesToCompress.each(){ file ->
		def currentFile = getVFile('/public'+file);
		destinationFileFullPath.append("/* start of source from file ${file}  */")
		destinationFileFullPath.append(System.getProperty('line.separator'))
		destinationFileFullPath.append(currentFile.text);
	}
	
}