
CREATE TABLE AccessControls (
	ID INTEGER PRIMARY KEY GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1),
    ResourceName VARCHAR(64) NOT NULL, 
    ResourceID INTEGER NOT NULL, 
    UserID INTEGER NOT NULL,
    IsGroup INTEGER NOT NULL DEFAULT 0 CHECK (IsGroup IN (0, 1)),
    Created BIGINT NOT NULL, 
    Updated BIGINT NOT NULL, 
    Permissions INTEGER NOT NULL CHECK (Permissions IN (1, 2, 3, 4))
);
