/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

/** 
 * @success 200 Returns a zip file containing various diagnostic
 * information from the CloudBurst appliance.
 * @error 403 If the requester does not have permission to obtain
 * diagnostic information.
 * @error 500 If the WebSphere CloudBurst appliance encountered an
 * internal error while processing the request.
 * @format application/zip
 */
def onList()
{
    restProxy('diagnostics.zip', 'trace.zip')
}
