/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

package groovy.rainmaker.users;

import zero.core.context.GlobalContext;

def userZoneAvailable = GlobalContext.getContext().getZoneRegistry().getZoneHandler("user").isAvailable();

event.context[].session = event.previous[].session ?: userZoneAvailable ? user.session[] : [:];
event.context[].lang = event.lang[] ?: userZoneAvailable ? user.lang[] : null ;
